package net.tomatentum.cutin;

import java.lang.reflect.Method;
import java.util.List;
import java.util.Optional;


public interface ReflectedMethodFactory {
    Optional<ReflectedMethod> produce(Method method, Object containingClass);
    ReflectedMethodFactory addFactory(Factory factory);

    public interface Factory {

        Optional<ReflectedMethod> produce(Method method, Object containingObject);
        void addParser(ReflectedMethod method, List<MethodParser> parser);

    }
}